	subroutine trnado(val,err,ptoe,dele,ncom,nume,fuds)
c     combines ncom energy bins into 1
c     assumes zero cross section for higher energies - so adding extra bins
c     with zero content
c
	include '/u1/gcf/e350/crystal/cb/foxin'
c
	include '/u1/gcf/e350/crystal/cb/foxxie'
c
	dimension val(1),err(1),ptoe(1),fuds(1)
c
	if (ncom.le.1) return
	numeo=nume
	nume=(nume+ncom-1)/ncom
	dele=dele*float(ncom)
3	do 1 ie=1,nume
	v=0.
	er=0.
	pt=0.
	fud=0.
	do 2 icom=1,ncom
	jcom=icom+ncom*(ie-1)
	if (jcom.gt.numeo) goto 2
	if (fuds(jcom).lt.0.) goto 4
	v=v+val(jcom)
	er=er+err(jcom)
	pt=pt+ptoe(jcom)
	fud=fud+fuds(jcom)*val(jcom)
2	continue
	val(ie)=v
	err(ie)=er
	ptoe(ie)=pt
	if (v.le.0.) fuds(ie)=0.
	if (v.gt.0.) fuds(ie)=fud/v
	goto 1
4	fuds(ie)=-10.
	val(ie)=0.
	err(ie)=0.
	ptoe(ie)=0.
1	continue
	return
c
	end
